import { useState, useEffect } from 'react';
import { Events, scroller } from 'react-scroll';
import debounce from 'lodash.debounce';

function useScrollSpy() {
    var _a = useState(), current = _a[0], setCurrent = _a[1];
    useEffect(function () {
        // Watch for link click/transition events
        Events.scrollEvent.register('begin', function (to) {
            setCurrent(to);
        });
        Events.scrollEvent.register('end', function (to) {
            setCurrent(to);
        });
        // Watch for scroll events
        var scrollHandler = debounce(function () {
            setCurrent(scroller.getActiveLink());
        }, 250);
        window.addEventListener('scroll', scrollHandler);
        return function () {
            Events.scrollEvent.remove('begin');
            Events.scrollEvent.remove('end');
            window.removeEventListener('scroll', scrollHandler);
        };
    }, [setCurrent]);
    return current;
}

export default useScrollSpy;
